﻿
.selectpicker {
    width: 100% !important
}

/*@media all and (display-mode:standalone) {*/
    /*body {*/
        /*background-color: #fafafa*/
    /*}*/
/*}*/

input[type=number] > .security, input[type=number].security {
    -webkit-text-security: disc !important;
    -moz-text-security: disc !important;
    text-security: disc !important
}

input[type=number].security {
    -webkit-text-security: square;
    text-security: square
}


.eighta {
    background: url(../img/airtime/8ta.jpg) #f2f2f2 center;
    background-repeat: no-repeat;
    background-size: 90px 65px;
    height: 85px;
    width: 104px;
    margin: 2px
}

.cellc {
    background: url(../img/airtime/Cell-C-logo.png) #f2f2f2 center;
    background-repeat: no-repeat;
    background-size: 90px 65px;
    height: 85px;
    width: 104px;
    margin: 2px
}

.mtn {
    background: url(../img/airtime/MTN-logo.jpg) #f2f2f2 center;
    background-repeat: no-repeat;
    background-size: 90px 65px;
    height: 85px;
    width: 104px;
    margin: 2px
}

.neotel {
    background: url(../img/airtime/Neotel-logo-orange.jpg) #f2f2f2 center;
    background-repeat: no-repeat;
    background-size: 90px 65px;
    height: 85px;
    width: 104px;
    margin: 2px
}

.telkom {
    background: url(../img/airtime/telkom.png) #f2f2f2 center;
    background-repeat: no-repeat;
    background-size: 90px 65px;
    height: 85px;
    width: 104px;
    margin: 2px
}

.virgin {
    background: url(../img/airtime/virgin-mobile-logo.png) #f2f2f2 center;
    background-repeat: no-repeat;
    background-size: 90px 65px;
    height: 85px;
    width: 104px;
    margin: 2px
}

.vodacom {
    background: url(../img/airtime/vodacom.jpg) #f2f2f2 center;
    background-repeat: no-repeat;
    background-size: 90px 65px;
    height: 85px;
    width: 104px;
    margin: 2px
}

@media screen and (min-width:768px) {
    a {
        -webkit-transition: all 0.27s cubic-bezier(0,0,.58,1);
        transition: all 0.27s cubic-bezier(0,0,.58,1)
    }
}
.selected {
    pointer-events: none;
    display: none
}

#loading {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.9);
    z-index: 1000;
}

#loadingcontent {
    display: table;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

#loadingspinner {
    display: table-cell;
    vertical-align: middle;
    width: 100%;
    text-align: center;
    font-size: larger;
    padding-top: 80px;
}


/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}


select.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}